Bug 1727261 - OpenVPN crash if LDAP server is unavailble
Summary: OpenVPN crash if LDAP server is unavailble
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openvpn-auth-ldap
Version: epel7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sean Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-05 09:08 UTC by Julien Tognazzi
Modified: 2019-09-21 03:12 UTC (History)
2 users (show)

Fixed In Version: openvpn-auth-ldap-2.0.3-17.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 03:12:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Julien Tognazzi 2019-07-05 09:08:46 UTC
Description of problem:
OpenVPN crashes when the auth-ldap plugin fails to reach the Active Directory.

Version-Release number of selected component (if applicable): 2.0.3-16.el7

How reproducible:
100%

Steps to Reproduce:
1. use auth-ldap with AD
2. take down the AD server
3. try to authenticate

What is the expected output? What do you see instead?
should retry, or fail to authenticate, instead openvpn crashes


Actual results:
Openvpn crashes

Expected results:
Authentication failure, but openvpn is still running

Additional info:
The latest release of this RPM for Fedora 30 seems to have a patch for it.

see also https://github.com/threerings/openvpn-auth-ldap/issues/11
and the path is available here:
https://src.fedoraproject.org/rpms/openvpn-auth-ldap/tree/auth-ldap-ldap_result.patch

Comment 1 Fedora Update System 2019-09-05 17:33:42 UTC
FEDORA-EPEL-2019-166fc5baa0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-166fc5baa0

Comment 2 Fedora Update System 2019-09-06 17:16:02 UTC
openvpn-auth-ldap-2.0.3-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-166fc5baa0

Comment 3 Fedora Update System 2019-09-21 03:12:54 UTC
openvpn-auth-ldap-2.0.3-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.